<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$comm = mysql_fetch_array(mysql_query("SELECT * FROM `community_comm` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"));
if (isset($user) && $user['level']==4){
$id=(int)abs((int)$_GET['id']);
include_once '../sys/inc/thead.php';
title();
aut();
if (isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['about']) && $_POST['name']!=NULL && isset($_POST['slogan']) && isset($_POST['status']) && is_numeric($_POST['status']) && $_POST['name']!=NULL)
{
$name = $_POST['name'];
$about = $_POST['about'];
$slogan = $_POST['slogan'];
$status = intval($_POST['status']);

if (strlen2($name)<2) {$err='Название сообщества слишком короткое';}
elseif (strlen2($name)>32) {$err='Название сообщества слишком длинное';}
elseif (strlen2($about)<2) {$err='Описание сообщества слишком короткое';}
elseif (strlen2($about)>100) {$err='Описание сообщества слишком длинное';}
else
{
$name = mysql_real_escape_string($name);
$about = mysql_real_escape_string($about);
$slogan = mysql_real_escape_string($slogan);
$status = mysql_real_escape_string($status);

mysql_query("UPDATE `community_comm` SET `name` = '$name' WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
mysql_query("UPDATE `community_comm` SET `about` = '$about' WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
mysql_query("UPDATE `community_comm` SET `slogan` = '$slogan' WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
mysql_query("UPDATE `community_comm` SET `status` = '$status' WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");

header("Location:index.php?add_comm_ok&".SID);
exit;
}
}


echo '<form method="post" action="?id='.$id.'">';
echo '+ <a href="upload.php?id='.$comm['id'].'">Загрузить логотип</a><br/>';
echo "Название сообщества:<br/><input type='text'  value='$comm[name]' name='name'/><br/>";
echo "Краткое описание:<br/><input type='about'  value='$comm[about]' name='about' size='20' /><br/>";
echo "Слоган:<br/><input type='text' value='$comm[slogan]' name='slogan'/><br/>";

echo 'Статус сообщества:<br/>';
echo '<select name="status">';
echo '<option value="1">Открытое</option>';
echo '<option value="2">Закрытое</option>';
echo '</select><br/>';
echo '<input value="Сохранить" type="submit"/><br/>';
echo '</form>';

}else{

include_once '../sys/inc/thead.php';
title();
aut();
echo'Вы не можете редактировать это сообщество!!!';
}
include_once '../sys/inc/tfoot.php';
?>